> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xente.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of products

> This endpoint get a list of products

### Response

<ResponseField name="success" type="number">
  Indicates whether the call was successful. 1 if successful, error code if not.
</ResponseField>

<ResponseField name="data" type="object">
  The contents of the product

  <Expandable title="Toggle object">
    <ResponseField name="product_id" type="number">
      The unique id of the product
    </ResponseField>

    <ResponseField name="name" type="string">
      The name of the product
    </ResponseField>

    <ResponseField name="name" type="string">
      The image Url of the product
    </ResponseField>

    <ResponseField name="short_description" type="string">
      Short description of the product
    </ResponseField>

    <ResponseField name="long_description" type="string">
      Long description of the product
    </ResponseField>

    <ResponseField name="status" type="string">
      Status of the product
    </ResponseField>

    <ResponseField name="product_items" type="array">
      Product items of the product. Each item is an object with the following properties:

      * `item_id` (number): The unique ID of the item
      * `item_name` (string): The name of the item
      * `item_description` (string): Description of the item
      * `item_price` (number): Price of the item
      * `availability` (boolean): Availability status of the item
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Request theme={null}
  curl --location --request GET 'https://api.xente.co/products/{id}' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \

  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
      "message": "OK",
      "code": 0,
      "data": {
          "currentPage": 1,
          "pageSize": 2,
          "totalCount": 55,
          "totalPages": 28,
          "collection": [
              {
                  "productId": "NWSCWATERUG",
                  "name": "Water",
                  "imageUri": "https://play-lh.googleusercontent.com/ig6vu1dcBWoPhIKBoBUBcZgKDX6CY1Sg9kiZ_iydQGYc2P0yK0KUBza4Mueha4EDfZdq",
                  "categoryId": "UTILITIES",
                  "shortDescription": "Pay for your water bills",
                  "longDescription": "Pay for your water bills",
                  "countryCode": "256",
                  "currencyCode": "UGX",
                  "isActive": true,
                  "isExternal": true,
                  "sortOrder": 0,
                  "productRegex": "123"
              },
              {
                  "productId": "KCCATAXUG",
                  "name": "KCCA",
                  "imageUri": "https://www.example.com",
                  "categoryId": "TAX",
                  "shortDescription": "KCCA product",
                  "longDescription": "this is kcca product",
                  "countryCode": "256",
                  "currencyCode": "UGX",
                  "isActive": true,
                  "isExternal": false,
                  "sortOrder": 0,
                  "productRegex": null
              }
          ],
          "previousPage": false,
          "nextPage": true
      }
  }
  ```
</ResponseExample>
